# Interface IQueryErrorEventArgs

## Index

### Properties

- endpoint
- error
- query
- queryBuilder
- searchAsYouType

## Properties

### endpoint

endpoint: ISearchEndpoint

- Defined in events/QueryEvents.ts :137

### error

error: IEndpointError

- Defined in events/QueryEvents.ts :145

### query

query: IQuery

- Defined in events/QueryEvents.ts :141

### queryBuilder

queryBuilder: QueryBuilder

- Defined in events/QueryEvents.ts :133

### searchAsYouType

searchAsYouType: boolean

- Defined in events/QueryEvents.ts :149

### Hierarchy

- IQueryErrorEventArgs